@mixin prx-button(){

    position: relative;
    color: $white;
    display: inline-block;
    text-decoration: none;
    background-image: none;
    //padding-left: 0;
    padding: 12px 45px 12px $spacing-medium;
    font-size: 15px;
    // erase jive rendered padding
    // erase jive rendered exteranl and internal icon images
    &:after {
        display: none;
    }
    &:before {
        content: "\e08e";
        vertical-align: middle;
        font-family: 'proxicon'!important;
        margin-left: .5em;
        position: absolute;
        right: 20px;
        top: 50%;
        margin-top: -7.5px;
    }
   
}

@mixin prx-linear-gradient($versioncolor){
    background: $versioncolor;
    background: linear-gradient(to right, $primary-color 60%, $versioncolor 100%)!important;;
}
@mixin linear-gradients() {
    @each $name,
    $color in $foundation-palette {
        &.#{$name + "-gradient-bg"} {
            @include prx-linear-gradient($color)
        }
    }
}